| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Properties

# IG::Num::VectorStore< T > Class Template Reference

Vector store. Stores Vector objects for reuse.Can be used for storage fo vectors with specific dimension (default) or for torage of any non-null vectors. More...

Inheritance diagram for IG::Num::VectorStore< T >:
[legend]
Collaboration diagram for IG::Num::VectorStore< T >:
[legend]

List of all members.

## Public Member Functions
| VectorStore (int length)
| Constructs a new Vector store for vectors with the specified dimensions.
| VectorStore (int length, bool constrainDimensions)
  | Constructs a new Vector store for vectors with the specified dimensions. If Parameters:
  constrainDimensions |
is false then store can be used for vectors with any dimensions.
override bool | IsEligible (T vec)
| Returns true if the specified Vector is eligible for storage in the current store, false if not.
## Protected Member Functions
| VectorStore ()
| Constructs a new Vector store of unspecified dimensions.
## Protected Attributes
bool | _constrainDimensions = true
| Ilf true then only vectors with matching dimensions are eligible for storing. Default is true.
int | _length
## Properties
bool | ConstrainDimensions`[get, set]`
| Ilf true then only vectors with matching dimensions are eligible for storing.
int | Length`[get, set]`
| Dimension for vectors to be stored. If ConstrainDimensions is true then only vectors that match dimensions are eligible for storage. Otherwise, dimensions are only important for creation of new vectors.

## Detailed Description

### template<T>
class IG::Num::VectorStore< T >

Vector store.

Stores Vector objects for reuse.

Can be used for storage fo vectors with specific dimension (default) or for torage of any non-null vectors.

Template Parameters:

  T |

Type Constraints

  T | : | class |
  T | : | IVector |

## Member Function Documentation

template<T >

IG::Num::VectorStore< T >::VectorStore | ( |  | ) | `[inline, protected]`

Constructs a new Vector store of unspecified dimensions.

template<T >

IG::Num::VectorStore< T >::VectorStore | ( | int | length | ) | `[inline]`

Constructs a new Vector store for vectors with the specified dimensions.

Parameters:

  length | Dimension of stored vectors.

template<T >

IG::Num::VectorStore< T >::VectorStore | ( | int | length,
|  | bool | constrainDimensions
| ) |  | `[inline]`

Constructs a new Vector store for vectors with the specified dimensions. If

Parameters:

  constrainDimensions |

is false then store can be used for vectors with any dimensions.

Parameters:

  length | Dimension of stored vectors.

template<T >

override bool IG::Num::VectorStore< T >::IsEligible | ( | T | vec | ) | `[inline, virtual]`

Returns true if the specified Vector is eligible for storage in the current store, false if not.

Parameters:

  vec | Vector whose eligibility is checked.

Reimplemented from IG::Lib::ObjectStore< T >.

## Member Data Documentation

template<T >

bool IG::Num::VectorStore< T >::_constrainDimensions = true`[protected]`

Ilf true then only vectors with matching dimensions are eligible for storing. Default is true.

template<T >

int IG::Num::VectorStore< T >::_length`[protected]`

## Property Documentation

template<T >

bool IG::Num::VectorStore< T >::ConstrainDimensions`[get, set]`

Ilf true then only vectors with matching dimensions are eligible for storing.

template<T >

int IG::Num::VectorStore< T >::Length`[get, set]`

Dimension for vectors to be stored. If ConstrainDimensions is true then only vectors that match dimensions are eligible for storage. Otherwise, dimensions are only important for creation of new vectors.

The documentation for this class was generated from the following file:

- VectorBase.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events